> For the complete documentation index, see [llms.txt](https://docs.secoda.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.secoda.co/integrations/data-warehouses/azure-synapse.md).

# Azure Synapse

An overview of the Azure Synapse integration with Secoda

{% content-ref url="/pages/iVVb5322EhID5fPv1CR5" %}
[Azure Synapse Metadata Extracted](/integrations/data-warehouses/azure-synapse/metadata-extracted.md)
{% endcontent-ref %}

## Getting Started with Azure Synapse

1. **Create a Login** To ensure controlled access within Azure Synapse, start by creating a login for Secoda. This has to be done on the `master` database on your dedicated SQL pool. Then assign the `dbmanager` on `master` database to the `SECODA` user.

```sql
CREATE LOGIN SECODA WITH PASSWORD 'YourSecurePassword';
CREATE USER SECODA FROM LOGIN SECODA;
EXEC sp_addrolemember 'dbmanager', 'SECODA';
```

2. **Create User for Secoda** Switch to the primary database in your dedicated SQL pool and create a Secoda user there as well. Then assign the `db_owner` role to it.

```sql
CREATE USER SECODA FROM LOGIN SECODA;
EXEC sp_addrolemember 'db_owner', 'SECODA';
```

3. **Connect Azure Synapse to Secoda** To integrate Secoda with your Azure Synapse setup:

* In the Secoda App, go to the Integrations page and select "Add Integration".
* Search for and select "Azure Synapse".
* Provide the necessary credentials:
  * **User**: The username (as created above).
  * **Password**: The password for the user.
  * **Host**: Azure Synapse server host.
  * **Port**: (Specify the default port for Synapse or note that it might vary based on your specific setup.)

4. **Security: Whitelisting IPs** Whitelisting IP addresses in Azure typically involves managing Network Security Group rules or using Azure Firewall. Ensure that you add the[ Secoda IP address](/faq.md#what-are-the-ip-addresses-for-secoda) to the list of allowed IPs. To do this, go to the Azure Portal, navigate to the appropriate resource (e.g., Azure Synapse), and manage its network settings to add the IP address to the allow list.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.secoda.co/integrations/data-warehouses/azure-synapse.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
